<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Objectos en JS</title>
</head>

<body>
    <h1>Objetos con JS</h1>

    <script>
        let anio_actual = 2021;

        let carro = {
            marca: "Toyota",
            model: "Fortuner",
            year: 2020,
            color: "red",
            edad: function () {
                return anio_actual - this.year;
            }
        };

        carro.tipoCombustible = "Nafta";
        carro.tituloVenta = function () {
            return `${this.marca} - ${this.model} a la venta`;
        }

        // console.log(carro.tipoCombustible);
        // console.log(carro.edad());
        // console.log(carro.tituloVenta());
        // console.log(carro);

        function Usuario(nombreUsuario, nombre, apellido, email, contrasena) {
            this.nombreUsuario = nombreUsuario;
            this.nombre = nombre;
            this.apellido = apellido;
            this.email = email;
            this.contrasena = contrasena;
            this.nombreFuncion = function () {
                console.log("esto es una funcion");
            }
        }

        let u2 = new Usuario('msierra', 'Mauricio', 'Sierra', 'ing.mauricios@gmail.com', '1234567890');
        let u3 = new Usuario('lmessi', 'Lionel', 'Messi', 'lmessi@gmail.com', '1234567890');
        FileReader

        // console.log(u2.nombreUsuario);
        // console.log(u3.apellido);

        class Ropa {
            constructor(marca, talla, color, precio, material) {
                this.marca = marca;
                this.talla = talla;
                this.color = color;
                this.precio = precio;
                this.material = material;
                this.otraPropiedad = 0;
                this.fechaIngreso = Date.now();
            }

            obtenerTituloVenta() {
                return `Se vende ${this.marca} con talla ${this.talla} a un precio de ${this.precio}`;
            }
        }

        let camiseta = new Ropa('Adidas', 'M', 'Azul', 30, 'Algodon');


        function mostrarRopa(ropa) {
            const { marca, precio } = ropa;
            console.log(marca);
            console.log(precio);
        }

        function mostrarRopa2({ marca, precio }) {
            console.log(marca);
            console.log(precio);
        }

        let mostrarRopa3 = ({ marca, precio }) => {
            console.log(marca);
            console.log(precio);
        }
    </script>
</body>

</html>